cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/fulfillment_profiles/fp_5d6e7f8091a2b3c4d5e6f708192a3b4c" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"fulfillment_profile": {
"display_name": "Standard fulfillment",
"description": "Open, packed and sent"
}
}'from exsited import build_client
client = build_client()
response = client.fulfillment_profiles.update_settings_fulfillment_profile(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c",
{
"fulfillment_profile": {
"display_name": "Standard fulfillment",
"description": "Open, packed and sent",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentProfiles.updateSettingsFulfillmentProfile(
'fp_5d6e7f8091a2b3c4d5e6f708192a3b4c',
{fulfillment_profile: {display_name: 'Standard fulfillment', description: 'Open, packed and sent'}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentProfiles->updateSettingsFulfillmentProfile(
'fp_5d6e7f8091a2b3c4d5e6f708192a3b4c',
[
'fulfillment_profile' => [
'display_name' => 'Standard fulfillment',
'description' => 'Open, packed and sent',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_profiles.fulfillment_profiles_dto.FulfillmentProfilesDto.SettingsFulfillmentProfile;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentProfile> response = client.fulfillmentProfiles().updateSettingsFulfillmentProfile(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c",
Map.of(
"fulfillment_profile", Map.of(
"display_name", "Standard fulfillment",
"description", "Open, packed and sent")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentProfiles.UpdateSettingsFulfillmentProfileAsync(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c",
new Dictionary<string, object?>
{
["fulfillment_profile"] = new Dictionary<string, object?>
{
["display_name"] = "Standard fulfillment",
["description"] = "Open, packed and sent",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentProfiles
.updateSettingsFulfillmentProfile('fp_5d6e7f8091a2b3c4d5e6f708192a3b4c', {
'fulfillment_profile': {
'display_name': 'Standard fulfillment',
'description': 'Open, packed and sent',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentProfiles().UpdateSettingsFulfillmentProfile(context.Background(), "fp_5d6e7f8091a2b3c4d5e6f708192a3b4c", map[string]any{
"fulfillment_profile": map[string]any{
"display_name": "Standard fulfillment",
"description": "Open, packed and sent",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_profile": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}Fulfillment profiles
Update a fulfillment profile
Changes a fulfillment profile and returns it.
PATCH
/
settings
/
fulfillment_profiles
/
{fulfillment_profile_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/fulfillment_profiles/fp_5d6e7f8091a2b3c4d5e6f708192a3b4c" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"fulfillment_profile": {
"display_name": "Standard fulfillment",
"description": "Open, packed and sent"
}
}'from exsited import build_client
client = build_client()
response = client.fulfillment_profiles.update_settings_fulfillment_profile(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c",
{
"fulfillment_profile": {
"display_name": "Standard fulfillment",
"description": "Open, packed and sent",
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.fulfillmentProfiles.updateSettingsFulfillmentProfile(
'fp_5d6e7f8091a2b3c4d5e6f708192a3b4c',
{fulfillment_profile: {display_name: 'Standard fulfillment', description: 'Open, packed and sent'}},
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->fulfillmentProfiles->updateSettingsFulfillmentProfile(
'fp_5d6e7f8091a2b3c4d5e6f708192a3b4c',
[
'fulfillment_profile' => [
'display_name' => 'Standard fulfillment',
'description' => 'Open, packed and sent',
],
],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.fulfillment_profiles.fulfillment_profiles_dto.FulfillmentProfilesDto.SettingsFulfillmentProfile;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsFulfillmentProfile> response = client.fulfillmentProfiles().updateSettingsFulfillmentProfile(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c",
Map.of(
"fulfillment_profile", Map.of(
"display_name", "Standard fulfillment",
"description", "Open, packed and sent")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.FulfillmentProfiles.UpdateSettingsFulfillmentProfileAsync(
"fp_5d6e7f8091a2b3c4d5e6f708192a3b4c",
new Dictionary<string, object?>
{
["fulfillment_profile"] = new Dictionary<string, object?>
{
["display_name"] = "Standard fulfillment",
["description"] = "Open, packed and sent",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.fulfillmentProfiles
.updateSettingsFulfillmentProfile('fp_5d6e7f8091a2b3c4d5e6f708192a3b4c', {
'fulfillment_profile': {
'display_name': 'Standard fulfillment',
'description': 'Open, packed and sent',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.FulfillmentProfiles().UpdateSettingsFulfillmentProfile(context.Background(), "fp_5d6e7f8091a2b3c4d5e6f708192a3b4c", map[string]any{
"fulfillment_profile": map[string]any{
"display_name": "Standard fulfillment",
"description": "Open, packed and sent",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"fulfillment_profile": {
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"status": "<string>",
"version": 123
}
}Send the changes under
fulfillment_profile, such as a new display_name or description.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The fulfillment profile's id, from the listing.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated fulfillment profile, under fulfillment_profile.
Show child attributes
Show child attributes